Subject: Notification: incoming/1483

From: [email-masked]
Date: Thu, 28 Oct 2004 19:31:15 -0500 (CDT)

FVWM Bug Tracking notification

new message incoming/1483

Message summary for PR#1483
	From: Manoj Srivastava <[email-masked]>
	Subject: fvwm segfaults when pressing Ctrl while waiting
	Date: Thu, 28 Oct 2004 19:21:53 -0500
	0 replies 	0 followups

====> ORIGINAL MESSAGE FOLLOWS <====

>From [email-masked] Thu Oct 28 19:31:03 2004
To: [email-masked]
Cc: Hugo Haas <[email-masked]>, [email-masked]
Subject: fvwm segfaults when pressing Ctrl while waiting
From: Manoj Srivastava <[email-masked]>
Organization: The Golden Gryphon
Mail-Copies-To: nobody
Date: Thu, 28 Oct 2004 19:21:53 -0500

Hi,

        [Please retain the CC to [email-masked], so
        that the Debian BTS has a record of your input]

	This was reported by a Debian user. I have managed to
 reproduce it (indeed, for me it happens even without adding the
 explicit Wait to my regular .fvwm2rc).
----------------------------------------------------------------------
 I keep getting segmentation faults from fvwm, and I figured out a way
 to reproduce them consitently.

 It seems that fwm segfaults when the control key is pressed while the
 wm is waiting.

 Here is how to reproduce it. Use the following fvwm2rc:

   DestroyFunc InitFunction
   AddToFunc InitFunction
   + "I" Wait foo

 Then, while fvwm is waiting for something which is not going to
 happen, press the control key. It's a guaranteed segmentation on my
 system.
----------------------------------------------------------------------

	It does not appear under gdb, or while stracing (at least,
	under strace, things just hung, there were no crashes -- but
	it was not normal behaviour)

	manoj
-- 
It may be bad manners to talk with your mouth full, but it isn't too
good either if you speak when your head is empty.
Manoj Srivastava   <[email-masked]>  <http://www.datasync.com/%7Esrivasta/>
1024D/BF24424C print 4966 F272 D093 B493 410B  924B 21BA DABB BF24 424C

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]